> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.rocketfi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get funding rate events

> Paginated funding rate events for an instrument.

### Parameters

| Parameter | Required | Type | Description |
| --------- | -------- | ---- | ----------- |
| instrumentId | yes | string (decimal) | Instrument id (hex string, `0x...`). |
| startRound | yes | integer (int64) | Optional start round (inclusive). |
| endRound | yes | integer (int64) | Optional end round (inclusive). |
| page_number | yes | integer | Zero-based page number. Accepts either a number or a numeric string. |
| page_size | yes | integer | Page size (number of items per page). Accepts either a number or a numeric string. |

### Response fields

| Parameter | Required | Type | Description |
| --------- | -------- | ---- | ----------- |
| `events` | yes | object[] | Funding rate events for the requested instrument. |
| `events[].fundingRate` | yes | string | — |
| `events[].premiumIndex` | yes | string | — |
| `events[].round` | yes | integer (int64) | — |
| `events[].timestamp` | yes | integer (int64) | — |
| `pageNumber` | yes | integer | — |
| `pageSize` | yes | integer | — |

### Response example

A sample **`200`** response body is attached to this operation as an OpenAPI **example** — see the **Example** panel on this page.



## OpenAPI

````yaml /specs/indexer-openapi.json get /funding-rate-events
openapi: 3.1.0
info:
  title: Rocket Indexer API Documentation
  description: >-
    Welcome to the RocketChain Indexer API documentation!


    The indexer REST API serves historical and aggregated market data from
    ClickHouse. Endpoints cover candles, trades, order history, portfolio
    curves, funding events, bridge events, vault events, current/historical
    instruments, and live instrument details.
  license:
    name: MIT
    url: https://github.com/rocketfoundation/rocket-sdk-rust/blob/main/LICENSE
  version: '1.0'
  x-logo:
    altText: ROCKET
    backgroundColor: '#00000000'
    url: https://www.rocketfoundation.io/assets/rocket-logo.svg
servers:
  - url: https://beta.rocket-cluster-1.com/indexer
    description: Beta
  - url: https://testnet.rocket-cluster-1.com/indexer
    description: Testnet
  - url: https://devnet.rocket-cluster-1.com/indexer
    description: Devnet
security: []
tags:
  - name: Indexer REST-API
    description: >-
      Read-only REST endpoints backed by the RocketChain indexer. All routes are
      served over HTTP GET.
paths:
  /funding-rate-events:
    get:
      tags:
        - Indexer REST-API
      summary: Get funding rate events
      description: >-
        Paginated funding rate events for an instrument.


        ### Parameters


        | Parameter | Required | Type | Description |

        | --------- | -------- | ---- | ----------- |

        | instrumentId | yes | string (decimal) | Instrument id (hex string,
        `0x...`). |

        | startRound | yes | integer (int64) | Optional start round (inclusive).
        |

        | endRound | yes | integer (int64) | Optional end round (inclusive). |

        | page_number | yes | integer | Zero-based page number. Accepts either a
        number or a numeric string. |

        | page_size | yes | integer | Page size (number of items per page).
        Accepts either a number or a numeric string. |


        ### Response fields


        | Parameter | Required | Type | Description |

        | --------- | -------- | ---- | ----------- |

        | `events` | yes | object[] | Funding rate events for the requested
        instrument. |

        | `events[].fundingRate` | yes | string | — |

        | `events[].premiumIndex` | yes | string | — |

        | `events[].round` | yes | integer (int64) | — |

        | `events[].timestamp` | yes | integer (int64) | — |

        | `pageNumber` | yes | integer | — |

        | `pageSize` | yes | integer | — |


        ### Response example


        A sample **`200`** response body is attached to this operation as an
        OpenAPI **example** — see the **Example** panel on this page.
      operationId: getFundingRateEvents
      parameters:
        - name: instrumentId
          in: path
          description: Instrument id (hex string, `0x...`).
          required: true
          schema:
            $ref: '#/components/schemas/InstrumentId'
          example: '0x85d55cb42a3e6b50'
        - name: startRound
          in: path
          description: Optional start round (inclusive).
          required: true
          schema:
            oneOf:
              - type: 'null'
              - $ref: '#/components/schemas/u64'
          example: 1000
        - name: endRound
          in: path
          description: Optional end round (inclusive).
          required: true
          schema:
            oneOf:
              - type: 'null'
              - $ref: '#/components/schemas/u64'
          example: 1100
        - name: page_number
          in: path
          description: |-
            Zero-based page number.
            Accepts either a number or a numeric string.
          required: true
          schema:
            oneOf:
              - $ref: '#/components/schemas/usize'
            default: 0
          example: 0
        - name: page_size
          in: path
          description: |-
            Page size (number of items per page).
            Accepts either a number or a numeric string.
          required: true
          schema:
            oneOf:
              - $ref: '#/components/schemas/usize'
            default: 2000
          example: 100
      responses:
        '200':
          description: Funding rate events
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetFundingRateEventsResponse'
              example:
                events:
                  - fundingRate: '0.00001'
                    premiumIndex: '0'
                    round: 29083401
                    timestamp: 1774364400000
                  - fundingRate: '0.00001'
                    premiumIndex: '0'
                    round: 29047719
                    timestamp: 1774360800000
                pageNumber: 0
                pageSize: 100
        '400':
          description: Invalid query parameters
          content:
            text/plain:
              schema:
                type: string
        '500':
          description: Internal server error
          content:
            text/plain:
              schema:
                type: string
components:
  schemas:
    InstrumentId:
      type: string
      format: decimal
      description: An instrument identifier (8-byte hash).
      example: '42'
    u64:
      type: integer
      format: int64
      minimum: 0
    usize:
      type: integer
      minimum: 0
    GetFundingRateEventsResponse:
      type: object
      required:
        - events
        - pageNumber
        - pageSize
      properties:
        events:
          type: array
          items:
            $ref: '#/components/schemas/FundingRateView'
          description: Funding rate events for the requested instrument.
        pageNumber:
          $ref: '#/components/schemas/usize'
          description: Zero-based page number.
        pageSize:
          $ref: '#/components/schemas/usize'
          description: Page size (max items per page).
      examples:
        - events:
            - fundingRate: '0.00001'
              premiumIndex: '0'
              round: 29083401
              timestamp: 1774364400000
            - fundingRate: '0.00001'
              premiumIndex: '0'
              round: 29047719
              timestamp: 1774360800000
          pageNumber: 0
          pageSize: 100
    FundingRateView:
      type: object
      required:
        - fundingRate
        - premiumIndex
        - timestamp
        - round
      properties:
        fundingRate:
          type: string
        premiumIndex:
          type: string
        round:
          type: integer
          format: int64
          minimum: 0
        timestamp:
          $ref: '#/components/schemas/u64'

````